Subject: Re: [PATCH 0/2] Fail early when partial clone prefetch fails

From: Junio C Hamano <[email-masked]>
Date: Fri, 30 Sep 2022 15:17:49 -0700

Jonathan Tan <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>> No changes to t/ directory?
>
> Hmm...any test you would like to see in particular? Here, we just fail
> with a specific error message when any sort of fetching from the
> promisor remote due to a lookup of a missing object.

I presume that we already have a test that interact with a promisor
remote that does not keep its promise?  If we don't then adding one
or two would help.  If we do, then how the command fails would
probably be different (observable via trace2) with your "early
break" change, no?